> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Account Backtest

> Start a new backtest job for a client



## OpenAPI

````yaml POST /api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/backtests/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/backtests/:
    post:
      tags:
        - api
      description: Start a new backtest job for a client
      operationId: api_v1_custom_org_clients_accounts_backtests_create
      parameters:
        - in: path
          name: account_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: client_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartBacktestRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/StartBacktestRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/StartBacktestRequest'
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomizationBacktestJob'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    StartBacktestRequest:
      type: object
      properties:
        start_date:
          type: string
          format: date
        end_date:
          type: string
          format: date
        rebalance_period:
          allOf:
            - $ref: '#/components/schemas/StartBacktestRequestRebalancePeriodEnum'
          default: MONTHLY
        tax_gamma:
          type: number
          format: double
          maximum: 100
          minimum: 0
        tax_loss_threshold_bps:
          type: number
          format: double
          maximum: 5000
          minimum: 0
        starting_nav:
          type: number
          format: double
          maximum: 1000000000
          minimum: 100
    CustomizationBacktestJob:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/ScenarioAnalysisJobStatusEnum'
          readOnly: true
        params:
          allOf:
            - $ref: '#/components/schemas/StartBacktestRequest'
          readOnly: true
          nullable: true
        result:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BacktestCaseResult'
          description: Dictionary mapping case names to case results
          readOnly: true
        error_message:
          type: string
          nullable: true
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        started_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        finished_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - created_at
        - error_message
        - finished_at
        - id
        - params
        - result
        - started_at
        - status
    StartBacktestRequestRebalancePeriodEnum:
      enum:
        - MONTHLY
      type: string
      description: '* `MONTHLY` - MONTHLY'
    ScenarioAnalysisJobStatusEnum:
      enum:
        - PENDING
        - RUNNING
        - SUCCESS
        - FAILURE
      type: string
      description: |-
        * `PENDING` - PENDING
        * `RUNNING` - RUNNING
        * `SUCCESS` - SUCCESS
        * `FAILURE` - FAILURE
    BacktestCaseResult:
      type: object
      description: Serializer for a single case's backtest results.
      properties:
        summaries:
          type: object
          additionalProperties:
            type: object
            additionalProperties:
              type: number
              format: double
          nullable: true
          description: Dictionary mapping quantity names to date-to-value mappings
        tax_summaries:
          type: object
          additionalProperties:
            type: object
            additionalProperties:
              type: number
              format: double
          nullable: true
          description: Dictionary mapping quantity names to date-to-value mappings
        assets:
          type: array
          items:
            $ref: '#/components/schemas/BacktestAsset'
          nullable: true
        comparison_index_returns:
          type: object
          additionalProperties:
            type: string
            format: decimal
            pattern: ^-?\d{0,5}(?:\.\d{0,10})?$
          nullable: true
          description: >-
            Dictionary mapping dates (yyyy-mm-dd) to the return values of a
            reference index.
    BacktestAsset:
      type: object
      description: Serializer for individual asset entries in backtest results.
      properties:
        symbol:
          type: string
        TILT_ASSET_ID:
          type: string
          nullable: true
        optimized_weight:
          type: object
          additionalProperties:
            type: number
            format: double
          nullable: true
        benchmark_weight:
          type: object
          additionalProperties:
            type: number
            format: double
          nullable: true
        unrealized_pnl_gain:
          type: object
          additionalProperties:
            type: number
            format: double
          nullable: true
        unrealized_pnl_loss:
          type: object
          additionalProperties:
            type: number
            format: double
          nullable: true
        wash_sale_aware_loss:
          type: object
          additionalProperties:
            type: number
            format: double
          nullable: true
      required:
        - symbol
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````